# $Revision: 1.29 $, $Date: 2012/01/13 22:08:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	B
%define		pnam	Utils
Summary:	B::Utils - helper functions for op tree manipulation
Summary(pl.UTF-8):	B::Utils - funkcje pomocnicze do operacji na drzewie op
Name:		perl-B-Utils
Version:	0.17
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/B/JJORE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6dba6b4eb19143d94da6d0894602ce30
BuildRequires:	perl-ExtUtils-Depends >= 0.302
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These functions make it easier to manipulate the op tree.

%description -l pl.UTF-8
Te funkcje ułatwiają operacje na drzewie op.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/B/Utils.pm
%dir %{perl_vendorarch}/B/Utils
%dir %{perl_vendorarch}/B/Utils/Install
%{perl_vendorarch}/B/Utils/Install/BUtils.h
%{perl_vendorarch}/B/Utils/Install/Files.pm
%{perl_vendorarch}/B/Utils/Install/typemap
%{perl_vendorarch}/B/Utils/OP.pm
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/Utils
%{perl_vendorarch}/auto/B/Utils/Utils.bs
%attr(755,root,root) %{perl_vendorarch}/auto/B/Utils/Utils.so
%{_mandir}/man3/B::Utils*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-B-Utils.spec,v $
Revision 1.29  2012/01/13 22:08:36  zbyniu
- up to 0.17

Revision 1.28  2011/02/23 15:33:33  qboosh
- updated to 0.13
- dropped Conflicts with perl-Module-Info

Revision 1.27  2010/06/06 08:31:29  arekm
- release 4

Revision 1.26  2009/10/23 08:08:41  amateja
- added missing %dir in %files section
- release 3

Revision 1.25  2009/09/08 18:55:29  wiget
- removed noarch
- rel. 2

Revision 1.24  2009/09/06 17:10:56  amateja
- updated to 0.08
- added BR perl(ExtUtils::Depends) >= 0.302

Revision 1.23  2009/06/15 09:44:55  amateja
- updated to 0.07

Revision 1.22  2008/07/27 22:27:08  arekm
- release 2

Revision 1.21  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.19  2004/12/01 12:26:07  radek
- autoupdated to 0.05

Revision 1.18  2004/11/03 21:38:37  paladine
- formatting

Revision 1.17  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.16  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.14  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.13  2004/04/14 11:24:46  ankry
- caps cosmetics

Revision 1.12  2004/03/09 21:00:09  adamg
- new style bconds

Revision 1.11  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:45  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/10 19:55:42  qboosh
- pl description, release 3

Revision 1.2  2002/09/05 21:11:46  radek
- release 2
- added Conflicts: perl-Module-Info

Revision 1.1  2002/09/01 09:00:43  radek
- new, STBR
